/*
 *   Copyright (C) 1999  Andrea Gini
 *
 *   Require JDK 1.3
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Send questions or suggestions to ginian@tiscalinet.it
 *
 */
import javax.swing.*;
import java.awt.*;
import java.awt.Color.*;
import java.awt.event.*;

public class Buttons extends JFrame
{
  class JButtonPanel extends JPanel
  {
    public JButtonPanel()
    {
      setLayout(new FlowLayout());
      setBorder(BorderFactory.createLineBorder(Color.black));
      add(new JButton("JButton"));
    }
  }

  class JToggleButtonPanel extends JPanel
  {
    public JToggleButtonPanel()
    {
      setLayout(new FlowLayout());
      setBorder(BorderFactory.createLineBorder(Color.black));
      add(new JToggleButton("Toggle 1",true));
      add(new JToggleButton("Toggle 2",false));
      add(new JToggleButton("Toggle 3",true));
      add(new JToggleButton("Toggle 4",true));       
    }
  } 
  
  class JCheckboxPanel extends JPanel
  {
    public JCheckboxPanel()
    {
      setLayout(new FlowLayout());
      setBorder(BorderFactory.createLineBorder(Color.black));
      add(new JCheckBox("JCheckBox 1",true));
      add(new JCheckBox("JCheckBox 2",false));
      add(new JCheckBox("JCheckBox 3",false));
      add(new JCheckBox("JCheckBox 4",true));
      add(new JCheckBox("JCheckBox 5",true));      
    }
  }    
  class JRadioButtonPanel extends JPanel
  {
    public JRadioButtonPanel()
    {
      setLayout(new FlowLayout());
      setBorder(BorderFactory.createLineBorder(Color.black));
      add(new JRadioButton("JRadioButton 1",false));
      add(new JRadioButton("JRadioButton 2",true));
      add(new JRadioButton("JRadioButton 3",false));
      add(new JRadioButton("JRadioButton 4",false));
      add(new JRadioButton("JRadioButton 5",false));       
    }
  }  
  private JPanel buttonPanel;
  private JPanel toggleButtonPanel;
  private JPanel checkboxPanel;
  private JPanel radioButtonPanel;  
  
  public Buttons()
  {
    super("Buttons");
    setSize(500,185);
    setResizable(false);
    
    JPanel buttonPanel = new JButtonPanel();
    JPanel toggleButtonPanel = new JToggleButtonPanel();
    JPanel checkboxPanel = new JCheckboxPanel();
    JPanel radioButtonPanel = new JRadioButtonPanel();
    
    setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
    getContentPane().setLayout(new GridLayout(1,0));
    getContentPane().add(buttonPanel);
    getContentPane().add(toggleButtonPanel);
    getContentPane().add(checkboxPanel);
    getContentPane().add(radioButtonPanel);
    
    setVisible(true);    
  }
 public static void main(String argv[])
 {
    Buttons b = new Buttons();
 }
} 

